# $Revision: 1.2 $, $Date: 2003/09/14 12:27:08 $
%define		_realname	sound-monitor

Summary:	Sound Monitor panel applet
Summary(pl):	Aplet panelu monitorujcy dwik
Name:		gnome-applet-%{_realname}
Version:	1.99.0
Release:	2
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://dl.sourceforge.net/gqapplets/%{_realname}-%{version}.tar.gz
# Source0-md5:	f70e1daa9822b87d787db17d0091e05c
Patch0:		%{_realname}-pl.patch
URL:		http://gqapplets.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	esound-devel >= 0.2.13
BuildRequires:	gnome-panel-devel >= 2.2.0
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/gconf

%description
Panel applet for gnome. Displays sound output of esound. Included many
themes, can show sound volume, an oscilloscope, or a spectrum analyzer
in the display.

%description -l pl
Aplet panelu GNOME, wywietlajcy stan wyjcia dwiku esound. Zawiera
wiele motyww, moe wywietla gono, oscyloskop lub analizator
widma.

%prep
%setup -q -n %{_realname}-%{version}
%patch0 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure --with-gconf-schema-file-dir=%{_sysconfdir}/schemas
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
	
%find_lang %{_realname} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/scrollkeeper-update
%gconf_schema_install

%postun	-p /usr/bin/scrollkeeper-update

%files -f %{_realname}.lang
%defattr(644,root,root,755)
%doc README TODO ChangeLog src/themes/SKIN-SPECS
%{_sysconfdir}/schemas/sound-monitor.schemas
%attr(755,root,root) %{_bindir}/esdpvd2
%{_libdir}/bonobo/servers/*
%attr(755,root,root) %{_libdir}/sound-monitor_applet2
%{_datadir}/gnome-2.0/ui/GNOME_SoundMonitorApplet.xml
%{_pixmapsdir}/*.png
%{_datadir}/sound-monitor2/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-applet-sound-monitor.spec,v $
Revision 1.2  2003/09/14 12:27:08  krzak
- fixed build against gnome 2.4
- added pl.patch (translation)
- rel. 2

Revision 1.1  2003/08/28 19:38:34  krzak
- ver 1.99.0 for gnome2
- rename from sound-monitor.spec to gnome-applet-sound-monitor.spec

Revision 1.13  2003/05/28 13:02:00  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:26:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/03/12 09:54:55  qboosh
- working Source URL, minor fixes where needed

Revision 1.10  2003/01/18 22:56:20  juandon
- removed two lines with define

Revision 1.9  2002/12/28 01:38:10  qboosh
- use new Group: X11/Applications/Sound

Revision 1.8  2002/10/09 10:41:52  qboosh
- BR: gettext-devel

Revision 1.7  2002/08/16 23:52:06  qboosh
- _sysconfdir=/etc/X11/GNOME to place CORBA files in proper place
- new %%doc, release 3

Revision 1.6  2002/06/23 20:52:53  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.5  2002/05/21 23:14:46  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.4  2002/03/24 23:28:25  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.3  2002/02/25 13:37:19  qboosh
- pl translation, release 2

Revision 1.2  2002/02/25 07:41:03  kloczek
- OK now sound-monitor is PLD compliant.
